Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88181 - /proc/cpuinfo reports incorrect cache size...
Summary: /proc/cpuinfo reports incorrect cache size...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 12:51 UTC by Daniel J Blueman
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:45 UTC


Attachments (Terms of Use)

Description Daniel J Blueman 2003-04-07 12:51:37 UTC
release:
kernel-2.4.18-27.7.x

description:
In /proc/cpuinfo, the processor's L2 cache size is misreported as 32KB, whereas 
it should be 512KB.

--- [boot logs]

CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU: Intel(R) Pentium(R) III CPU family      1133MHz stepping 01

--- [/proc/cpuinfo]

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 11
model name	: Intel(R) Pentium(R) III CPU family      1133MHz
stepping	: 1
cpu MHz		: 1130.539
cache size	: 32 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 mmx fxsr sse
bogomips	: 2254.43

reproducer:
1. boot up with RH-2.4.18-27 kernel
2. grep cache /proc/cpuinfo

actual results:
32KB of L2 cache reported here.

expected results:
PIII 1.13GHz Tualatins have 512KB of L2 cache.

Comment 1 Arjan van de Ven 2003-04-07 12:56:13 UTC
Ehm..... this is L1 cache size afaik... not L2

Comment 2 Daniel J Blueman 2003-04-07 13:42:34 UTC
It's certainly a pity the kernel isn't explicit about whether it's the L1/L2 $.

On my box running 2.4.20 on a Northwood P4, I get:

quorum Documentation # cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.00GHz
stepping        : 4
cpu MHz         : 2004.571
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3997.69

That's got to be a pretty impressive L1 $... ;-) It's always been L2 $.


Comment 3 Arjan van de Ven 2003-04-07 13:56:58 UTC
it sure is fuzzy
for some cpu's it reports L1
for others L2
in addition some cpu's misreport their own cache size and the kernel adds fixups ;(


Comment 4 Daniel J Blueman 2003-04-07 14:03:25 UTC
OK, here is a patch that someone has sent to LKML and details:

http://groups.google.co.uk/groups?hl=en&lr=&ie=UTF-
8&frame=right&th=ad108fbe0922c29&seekm=200211171549.gAHFnSrE021923%
40mnm.uib.es#link1

Comment 5 Bugzilla owner 2004-09-30 15:40:45 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.